Skip to main content
Resource Center/Hardware/Primary Storage Operations

DetachPrimaryStorageFromCluster

DetachPrimaryStorageFromCluster

DELETE/zstack/v1/clusters/d4ff9ff0511b4848870aa648748f9890/primary-storage/b91bcd212e434b1d97d80df127460f84?

Operation ID

DetachPrimaryStorageFromCluster

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • primaryStorageUuid
    StringRequired

    The primary storage UUID.

  • clusterUuid
    StringRequired

    The cluster UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}